//
// C++ Interface: lang
//
// Description: Backend code for laguage support
//
// Author  : Gibault Stphane
// Modifier: Mikael Bhm <micko@bag.org>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
// Language specific: Help with corrections of broken text in french by Brnice Garnier (b_garnier@hotmail.com)
//

/**
  * TRANSLATION INFORMATION!
  * If you are going to translate this file, please try to keep short words "short".
  * Space in main program are critical sometimes. Make sure you use filetype ISO-8859-15.
  * I have to stick with that right now since the files was encoded so from start and I
  * dont know right now how to get around that without a lot of trouble.
  */

#ifndef LANG_H
#define LANG_H

#include <mainfrm.h>

/* Defines for English */
#define EN_EN		"English"
#define EN_CTEXT	"Title"
#define	EN_CHAPT	"Auto chapter"
#define EN_PREVD	"Preview"
#define EN_LBL50	"Start reading DVD with:"
#define EN_BTGEN2	"Cancel"
#define EN_BTSTAR	"Start"
#define EN_END		"End"
#define EN_L		"Low"
#define EN_M		"Medium"
#define EN_H		"High"
#define EN_OK		"OK"
#define EN_QT		"Quit"

/* Buttons on main menu Size is a bit critical */
#define EN_QTMAN	"  Quit ManDVD"
#define EN_ABMAN	" About ManDVD"
#define EN_BTSAVE	" Save Project"

#define EN_BRN		"Burn"
#define EN_EXTR		"Extract"
#define EN_GEN		"Generate"
#define EN_NXT		"Next"
#define EN_PRV		"Previous"
#define EN_TB95		"Confirm"
#define EN_CHG		"Change"
#define EN_RM		"Remove"
#define EN_CHAP		"Chapter"
#define EN_OPTIONS	"Options"
#define EN_CLOSE	"Close"
#define EN_BTGEN2_2	"Console"
#define EN_LBL2_12	"Brake"
#define EN_LBL2_49	"From"
#define EN_LBL1_2_2	"To"
#define EN_LBL1_31_2	"Size"
#define EN_TABO		"Tab order"
#define EN_BT117_2_2	"Use previous slide"
#define EN_BT170	"Options"
#define EN_BT117_2	"Background image"
#define EN_LBL1_48	"Choose a colour background or an image."
#define EN_LBL1_6	"Warning don't use this function if you have a release of QT > 3.3.4. You should have an error on rendering menu. Trolltech will correct this in the next release 3.3.7"

#define EN_BTGRPRIO	"Execution priority"
#define EN_TBT_71	"Destination folder"
#define EN_LV1CT1	"Pathname"
#define EN_LV1CT2	"Encoding"
#define EN_LV1CT3 	"Chapters"
#define EN_LV1CT4	"Audio bitrate"
#define EN_LV1CT5	"Format"
#define EN_LV1CT6	"Pathname button"
#define EN_LV2CT1	"Pathname"

#define EN_BTMOPT	"Adjust video on audio"
#define EN_TB168_2	"Open a project file"
#define EN_BTOPEN	"Open project"
#define EN_TL1_47	"New project"
#define EN_TL1_47_2	"Load a project"
#define EN_RNWA		"Clean up menu"
#define EN_1_46		"You can add effects to your video. Some of them are animated for an example swirl. After selecting effects click generate button. Warning this is a long and not cancelled process. Effects are applied only first and last selected frame."

#define EN_TB165	"Generate"
#define EN_BTEAN	"Effects"
#define EN_BTGP63	"Brush"
#define EN_TLBL2_9_2	"Vertical position of subtitle as a percent of screen height."
#define EN_TLBL1_45	"To cut a segment, select start and end points, then click the cut button."

#define EN_BTIMP	"Import"
#define EN_BTCUT	"Cut part of this film"
#define EN_LBL1_7	"Add or Modify Media Segments"
#define EN_LBL1_7_2	"Editing and Adjustments"
#define EN_LBL1_7_2_2	"Other"
#define EN_DEINT	"Deinterlace video. Best for LCD."
#define EN_TLBL1_42	"Brush size"
#define EN_GIMPE	"Edit with The Gimp"
#define EN_GIMPM	"Modify with The Gimp"
#define EN_EXTRACT	"Extract an image from the video"

#define EN_1_41		"Subtitle"
#define EN_BTEDITSS	"Create / Modify"
#define EN_LBL1_39_3	"Height"
#define EN_LBL1_39_4	"Width"

#define EN_LBL3_6	"A/V Sync is the synchronization of audio and video. If not properly synchronized, the sounds will not match up with the on screen action. You can adjust the synchronization using the A/V Sync control."

#define EN_BTGS_2 	"Video effects"
#define EN_L2_10_3_2_2	"Contrast"
#define EN_L2_10_3_2	"Brightness"
#define EN_L2_10_3	"Length"
#define EN_LBL1_37	"This feature will attempt to remove a logo, such as a station identification, from your video.  Your results may vary.  Select the coordinate location and size of the logo."

#define EN_LBL1_37_2		"These controls allow you to adjust the brightness and contrasts of your video.  Move the sliders left to decrease and right to increase."
#define EN_LBL1_37_2_2		"This feature reverses the video from left to right, creating a mirror image."
#define EN_LBL1_37_2_2_2	"This feature reduces the image noise, making the output smoother and more faithful to the original scene."
#define EN_CBOX5		"Outline my selection in the preview video."
#define EN_LBL1_34		"Add text"
#define EN_TB_117		"Back colour"
#define EN_LBL1_33		"Choose a subtitle font"
#define EN_LBL2_9		"Font size as a percent of the screen height."
#define EN_OPT1			"Selected mask"
#define EN_OPT2			"Clicked mask"
#define EN_BTMASKE		"Mask edit"
#define EN_BTFORCE		"Force reencode"
#define EN_BTSUBC_2		"Remove all chapters"
#define EN_LBL1_32_2	    	"Adjust parameters, then choose the modified or original version of the image to import."
#define EN_RBT3_2		"Modified"
#define EN_RBT3			"Original"
#define EN_LBL1_14		"From picture"
#define EN_LBL1_14_2		"To picture"
#define EN_BTCCT_2		"Change title colour for this picture"
#define EN_LBL1_30		"Here you can add subtitles to your video."
#define EN_BTG_3		"Create an ISO image"
#define EN_BTGSUB		"Subtitle management"
#define EN_LBL1_28		"Output quality for encoded videos. Higher quality video uses more space."
#define EN_LBL1_24		"Interval (minutes)"
#define EN_LBL1_27		"Define the order in which items are selected on your menu."
#define EN_BTMODT		"Modify title"
#define EN_LBL1_26	"You may rename your chapter if you want to change the name that appears in your menu."
#define EN_BT_RENCH	"Rename chapter"
#define EN_IDTPG	"Add media"
#define EN_ACUOPL	"Font preview"
#define EN_BTIMS2_2	"Import parameter"
#define EN_LBL1_25	"Slide duration (seconds)"
#define EN_LBL2_3	"Transition on each slide"
#define EN_LBL1_25_2	"Transition duration (seconds)"
#define EN_BTAC2_2	"Modify a chapter"
#define EN_BTAINTRO	"Add an introduction video to the DVD"
#define EN_LBLl3_2	"In this step, you will insert all of the videos and slide shows to be presented in the DVD. You may also define chapters within each video element.\n\nDouble-click on the selected videos down in the window for preview."
#define EN_LBL1_20	"Your menu button may either be some text, such as the name of the video, or an image. Define your menu button using the controls below."
#define EN_LBL2_6	"If you would like to use an image as the button, designate an image below.  Smaller images are preferred. The dimensions of your image do not need to match the preview box. "
#define EN_LBL1_9	"<b>File information</b>"
#define EN_LBL4_2	"<u>Video path :</u>"
#define EN_LBL1_18	"Video not reencoded"
#define EN_LBL1_18_2	"Video to be reencoded<br /><i>(This affects size outcome)</i>"
#define EN_LBL1_3	"Video title"
#define EN_ADDVP	"Add a video to your project"
#define EN_BTCRSLIDES	"Create a slideshow"
#define EN_BTSELVI	"Remove selected video"
#define EN_BTDEFCH	"Define chapters"
#define EN_LBL3		"In this step, you will customize your DVD menu.  You can create and modify menu backgrounds, cast lists, and menu highlighting. "
#define EN_LBL4		"Choose background"
#define EN_BTCWALL	"Picture background"
#define EN_BTCWALLUNI	"One colour background"
#define EN_BTANIMEBG	"Animated background"
#define EN_LBL3_3	"Menu font colour"
#define EN_BTFONT	"Menu font"
#define EN_COL_1	"Colour of text in menu"
#define EN_COL_2	"Colour of selected text"
#define EN_COL_3	"Colour of clicked text"
#define EN_LBL2_4	"Choose a soundtrack for your main menu"
#define EN_BTFMUS	"Import soundtrack"
#define EN_BTMIRRH	"Mirror horizontally"
#define EN_BTMIRRV	"Mirror vertically"
#define EN_LBL1_2	"For each video listed below, add it to the Menu, use the sliders to position the menu button, then Confirm the button location.  You may also choose what your DVD player should do at the end of the video.  Do not place menu items outside the red border. "
#define EN_BTADDFMF	"Add video to the menu"
#define EN_BTVALBT	"Confirm button position"
#define EN_LBL1_10	"When this video ends..."

// Changeing to encode sound to AC3 so message changed acording too new code. This information is in EN_LBL1_12
#define EN_LBL1_12	"<p align=\"center\"><b>Warning Message!</b></p><p><center>Caution! If you are not sure about that your MPEG infiles are already encoded with AC3 sound, its probably a good idea to force to reencode your project with AC3 sound. Some DVD-players does only support this audio format! <br /> <br /> Also its recommended to deinterlace your video if if its interlaced if you are going to play it on a LCD or Plasma TV. You can do that in the \"Options Menu\". Be aware that deinterlacing can take a very long time. Choose \"Options\" for deinterlaceing. </center></p> "

#define EN_BTGDVDS	"Generate DVD structure"
#define EN_BTWRES	"Watch the result"
#define EN_BTBDVD	"Burn DVD"
#define EN_BK3B		"Burn DVD with K3b"
#define EN_LBL2		"<p><b>Destination folder of the DVD:</b>"
#define EN_CONS		"Show / hide console"
#define EN_LBL1_5	"<b>CAUTION!</b> Before you start the burning process, please insert a new DVD into your DVD burner, or no data will be written. "
#define EN_LBL1_11	"DVD Burner"
#define EN_M_1		"<p align=\"center\"><b>Burning in progress ... Please be patient.</b></p>"
#define EN_LBL1_17	"Please select your slideshow options, then click Start to begin processing. Please note that processing may take a while, and higher quality video with lots of slides and transitions can take a <b>long</b> time."
#define EN_BTAFFF	"Fade to black on last picture"
#define EN_QREN		"High quality render (slower)"
#define EN_ADDP		"Add picture"
#define EN_IFLD		"Import folder"
#define EN_ADDST	"Add soundtrack"
#define EN_SFNT		"Select font"
#define EN_SFCOL	"Font colour"
#define EN_LBL2_5	"Select picture"
#define EN_LBL1_15_2	"Transition duration (seconds)"
#define EN_LBL1_15	"Picture duration (seconds)"
#define EN_LBL1_16	"Title (empty for nothing)"
#define EN_BTADDCH	"Add chapter"
#define EN_BTRMCH	"Remove chapter"
#define EN_SHVID	"Show video"
#define EN_LBL1_8	"Enter (hour : minute : second) of the chapter."
#define EN_LBL4_3	"Start (seconds)"
#define EN_LBL4_3_2	"Length (seconds)"
#define EN_CDADDM	"Add a mask on the background "
#define EN_LBL1_19	"A mask is an image (720x576 pixels) that contains transparent zones. It can be superimposed over the video to allow for some interesting menu effects. "
#define EN_LBL5_2	"Import progress"
#define EN_LOOPA	"Loop menu animation"
#define EN_LBL1_22	"Repeat video n times"
#define EN_3_4		"Output quality"
#define EN_ACH		"Auto chapter"
#define EN_ACHS		"Auto chapters"

/* Animerad meny */
#define EN_VDIMP	"Import video"
#define EN_ANTB		"Num of images : "
#define EN_ANTF		"First picture : 0"
#define EN_ANTL		"Last picture  : "

#define	EN_AC3		"Force to encode audio to AC3"
#define	EN_NOAC3	"Untouched"
#define EN_FAC3		"Force AC3"
#define EN_SET		"Settings"

#define EN_TBLMSG0	"This process doesn't start : "
#define EN_TBLMSG1	"The maximum number of videos is 20."
#define EN_TBLMSG2	"Please add at least one video or slideshow."
#define EN_TBLMSG3	"If you go back, all modifications will be lost.\n\nAre you sure?"
#define EN_TBLMSG4	"Please choose a background for your menu."
#define EN_TBLMSG5	"Your project might exceed the DVD5 capacity!\n\nRemove films or choose a lower resolution!"
#define EN_TBLMSG6	"Please choose a title for your video."
#define EN_TBLMSG7	"Your menu must have an entry for each video."
#define EN_TBLMSG8	"Unable to create file.\n\nDo you have write permissions in your destination folder?"
#define EN_TBLMSG9	"Please choose a destination folder."
#define EN_TBLMSG10	"Encoding failed. Open the console for more details."
#define EN_TBLMSG11	"Error when generating menu. Check the console for more details."
#define EN_TBLMSG12	"Success. Your DVD is complete."
#define EN_TBLMSG13	"DVD Author returned an Internal error. Check the console for more details."
#define EN_TBLMSG14	"Please select your DVD burner."
#define EN_TBLMSG15	"Burning successful."
#define EN_TBLMSG16	"Burning failed.\n\nHave you selected the correct DVD burner?"
#define EN_TBLMSG17	"Are you sure you want to quit?\n\n(Don't forget to save your project!)"
#define EN_TBLMSG18    	"Do you want to cancel this slideshow creation?"
#define EN_TBLMSG19	"Each slideshow has a limit of 100 pictures."
#define EN_TBLMSG20	"Please add at least one picture to your slideshow."
#define EN_TBLMSG21	"Creation of this slideshow is complete.\n\nWould you like to watch it?"
#define EN_TBLMSG22	"Do you want to insert this slideshow into your DVD project?"
#define EN_TBLMSG23	"Slideshow creation failed.\n\nCheck the console for more details."
#define EN_TBLMSG24	"You chose no soundtrack.  Correct?"
#define EN_TBLMSG25	"Please choose a video."
#define EN_TBLMSG26	"Error extracting images of video."
#define EN_TBLMSG27	"Selected videos must be 25-30fps."
#define EN_TBLMSG28	"The starting point must be before ending point."
#define EN_TBLMSG29	"The ending point must be after starting point."
#define EN_TBLMSG30	"Add media"
#define EN_TBLMSG31	"Menu parameters"
#define EN_TBLMSG32	"Menu Creation"
#define EN_TBLMSG33	"DVD Creation"
#define EN_TBLMSG34	"Create a photo slideshow"
#define EN_TBLMSG35	"Create animated background"
#define EN_TBLMSG36	"Congratulations, your ISO file is in : "
#define EN_TBLMSG37	"Error encountered during ISO creation."
#define EN_TBLMSG38	"<p>Error ! Interval is smaller than or equal to film duration</p>It's not valid."
#define EN_TBLMSG39	"Project saved."
#define EN_TBLMSG40	"No transition"
#define EN_TBLMSG41	"Fade out"
#define EN_TBLMSG42	"Fade in"
#define EN_TBLMSG43	"Mix fade"
#define EN_TBLMSG44	"Left covering"
#define EN_TBLMSG45	"Right covering"
#define EN_TBLMSG46	"Top covering"
#define EN_TBLMSG47	"Bottom covering"
#define EN_TBLMSG48	"Zoom"
#define EN_TBLMSG49	"Double"
#define EN_TBLMSG50	"Up and down"
#define EN_TBLMSG51	"Random transition"
#define EN_TBLMSG52	"<i>Estimated DVD size : </i>"
#define EN_TBLMSG53	"Return to menu"
#define EN_TBLMSG54	"Encoding video :"
#define EN_TBLMSG55	"Global encoding video"
#define EN_TBLMSG56	"Generating file menu"
#define EN_TBLMSG57	"Generating DVD Author file"
#define EN_TBLMSG58	"Finalization of the project "
#define EN_TBLMSG59	"Read one time"
#define EN_TBLMSG60	"Loop sound"
#define EN_TBLMSG61	"Yes"
#define EN_TBLMSG62	"No"
#define EN_TBLMSG63	"About "
#define EN_TBLMSG64	"This program was originally created by Gibault Stphane (FR).It was\nlater updated by me, Mikael Bhm (micko@bag.org) This software can\ncreate DVD discs that play in ordinary players. I found the code and\nmade some modifications that I wanted. Mainly just for fun and to learn}\nsome QT.\n\nThe original author Gilbert, might start working on the program again to\nimprove it further. But the program already has some nice features. Until\nGibault or some other skilled programmer want to continue to develop it, I\nmight do a hack or two. Please report any bugs if you find them, but don't\ntake for granted I can fix them :-)\n\n The ManDVD homepage:\n\n"

/*
 * If you are a translator, please put you name inside the EN_TBLMSG64 variable above: This program was traslated to xxxxxxx by Your Name and Email@someplace.com if you want too. 
 */


#define EN_TBLMSG65	"Open a file"
#define EN_TBLMSG66	"Select a video file to import"
#define EN_TBLMSG67	"Select a picture file to import"
#define EN_TBLMSG68	"Attention! The movie must be running when \"Add chapter\"<br /><u>Selected Video :</u> <i><b>"
#define EN_TBLMSG69	"Select a audio track for import"
#define EN_TBLMSG70	"Select where to save your DVD project"
#define EN_TBLMSG71	"Pic a colour"
#define EN_TBLMSG72	"Select a title for import"
#define EN_TBLMSG73	"Select a font for import"
#define EN_TBLMSG74	"Open an existing ManDVD project"
#define EN_TBLMSG75	"Encoding info at "
#define EN_TBLMSG76	" MB</B><br />Max size is aprox 4400 MB"

#endif
